@font-face {
  font-family: 'Montserrat-ExtraBold';
  src: url('../font/Montserrat-ExtraBold.eot') format('embedded-opentype'), url('../font/Montserrat-ExtraBold.woff') format('woff'), url('../font/Montserrat-ExtraBold.ttf') format('truetype'), url('../font/Montserrat-ExtraBold.svg') format('svg');
  font-weight: normal;
  font-style: normal;
}

/* 去除水平滚动条 */
html {
  overflow-x: hidden;
  overflow-y: auto;
}

/* 使页面滚动顺滑，很重要！！！！！！ */
html,
body {
  scroll-behavior: smooth;
}

body {
  margin: 0;
  font-family: "Montserrat-ExtraBold","SF UI Text", Helvetica, Arial, "PingFang SC", "Source Han Sans SC", "Hiragino Sans GB", "Microsoft YaHei", sans-serif;
  /* font-family: "SF UI Text", Helvetica, Arial, "PingFang SC", "Source Han Sans SC", "Hiragino Sans GB", "Microsoft YaHei", sans-serif; */
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  -moz-font-smoothing: antialiased;
  -ms-font-smoothing: antialiased;
  font-smoothing: antialiased;

  font-weight: 900;


  background-color: black;

  min-width: 375px;


  /* 默认不可上下滚动，等loading动画结束后恢复可滚动 */
  height: 100%;
  overflow: hidden;
}


/* loading */
.loading_container{
  width:100vw;
  height:100vh;
  background-color:black;

  /* position: fixed;
  left: 0;
  top: 0; */
  z-index: 5;
}

.loading_autotype{
/*  水平居中再往上40px  */
  margin-top:calc((100vh - 2.162162vw * 2 - 8.4vw)/2); 
  display:inline-block;
}

.loading_text1{
  font-family: "Montserrat-ExtraBold","SF UI Text", Helvetica, Arial, "PingFang SC", "Source Han Sans SC", "Hiragino Sans GB", "Microsoft YaHei", sans-serif;
  font-weight: 900;
  color:white;
  font-size:8.4vw;
  line-height:1;
  margin-bottom:0;
  margin-top:0;
/*   垂直居中  */
  margin-left:calc((100vw - 3.25714286*8.4vw)/2);
}

.loading_text2{
  font-family: "Montserrat-ExtraBold","SF UI Text", Helvetica, Arial, "PingFang SC", "Source Han Sans SC", "Hiragino Sans GB", "Microsoft YaHei", sans-serif;
  color:white;
  font-size:8.4vw;
  line-height:1;
  margin-bottom:0;
  margin-top:0;
  margin-top: -40px;
  display:none;
}

.loading_text_mark{
  display:inline-block;
}





/* header */
.header {
  width: 100%;
  height: 60px;
  position: fixed;
  top: 0;
  left: 0;
  background-color: transparent;

  z-index: 2;
  transition: .3s;
  opacity: 0;
}

.header_logo {
  font-size: 28px;
  line-height: 60px;
  color: white;
  text-decoration: none;

  margin-left: 40px;
}

.header_right {
  display: inline;
  position: absolute;
  right: 40px;
}

.header_link {
  font-size: 16px;
  line-height: 60px;
  color: white;
  text-decoration: none;

  margin-left: 44px;

  /* 链接悬浮时下面的横条定位用 */
  position: relative;
}

.header_link:after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -4px;
  width: 0px;
  height: 2px;
  background: white;

  transition: .6s;
}

.header_link_active:after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -4px;
  width: 100%;
  height: 2px;
  background: white;
}

.header_link:hover:after {
  width: 100%;
  transition: .6s;
}


/* 汉堡菜单 */
.hamberger_container {
  width: 22px;
  height: 60px;
  background-color: transparent;
  opacity: 0;


  position: absolute;
  top: 0;
  right: 0;

  cursor: pointer;
  z-index: -1;
}


@media screen and (max-width:801px) {

  .header_link {
    visibility: hidden;
    opacity: 0;
    transition: .3s;
    -webkit-user-select: none;
    -webkit-user-drag: none;
    display: none;
  }



  .hamberger_container {
    opacity: 1;
    z-index: auto;

  }


}


.hamburger {
  padding: 16px 0px;
  display: inline-block;
  cursor: pointer;
  transition-property: opacity, -webkit-filter;
  transition-property: opacity, filter;
  transition-property: opacity, filter, -webkit-filter;
  transition-duration: 0.15s;
  transition-timing-function: linear;
  font: inherit;
  color: inherit;
  text-transform: none;

  background-color: transparent;
  border: 0;
  margin: 0;
  overflow: visible;

  position: absolute;
  left: 0;
}

.hamburger:hover {
  opacity: 1;
}

.hamburger-box {
  width: 22px;
  height: 24px;
  display: inline-block;
  position: relative;
}

.hamburger-inner {
  display: block;
  top: 50%;
  margin-top: -2px;
}


.hamburger-inner,
.hamburger-inner::before,
.hamburger-inner::after {
  width: 22px;
  height: 3px;
  background-color: white;
  border-radius: 0px;
  position: absolute;
  transition-property: -webkit-transform;
  transition-property: transform;
  transition-property: transform, -webkit-transform;
  transition-duration: 0.15s;
  transition-timing-function: ease;
}


.hamburger-inner::before,
.hamburger-inner::after {
  content: "";
  display: block;
}

.hamburger-inner::before {
  top: -9px;
  /*       width:75%; */
}

.hamburger-inner::after {
  bottom: -10px;
  width: 70%;
  right: 0;
}

/* Collapse Reverse */
.hamburger--collapse-r .hamburger-inner {
  top: auto;
  bottom: 0;
  transition-duration: 0.15s;
  transition-delay: 0.15s;
  transition-timing-function: cubic-bezier(0.55, 0.055, 0.675, 0.19);
}

.hamburger--collapse-r .hamburger-inner::after {
  top: -18px;
  transition: top 0.3s 0.3s cubic-bezier(0.33333, 0.66667, 0.66667, 1), opacity 0.1s linear;
}

.hamburger--collapse-r .hamburger-inner::before {
  transition: top 0.12s 0.3s cubic-bezier(0.33333, 0.66667, 0.66667, 1), -webkit-transform 0.15s cubic-bezier(0.55, 0.055, 0.675, 0.19);
  transition: top 0.12s 0.3s cubic-bezier(0.33333, 0.66667, 0.66667, 1), transform 0.15s cubic-bezier(0.55, 0.055, 0.675, 0.19);
  transition: top 0.12s 0.3s cubic-bezier(0.33333, 0.66667, 0.66667, 1), transform 0.15s cubic-bezier(0.55, 0.055, 0.675, 0.19), -webkit-transform 0.15s cubic-bezier(0.55, 0.055, 0.675, 0.19);
}


.hamburger--collapse-r.is-active .hamburger-inner {
  -webkit-transform: translate3d(0, -10px, 0) rotate(45deg);
  transform: translate3d(0, -10px, 0) rotate(45deg);
  transition-delay: 0.32s;
  transition-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
}

.hamburger--collapse-r.is-active .hamburger-inner::after {
  top: 0;
  opacity: 0;
  transition: top 0.3s cubic-bezier(0.33333, 0, 0.66667, 0.33333), opacity 0.1s 0.27s linear;
}

.hamburger--collapse-r.is-active .hamburger-inner::before {
  top: 0;
  -webkit-transform: rotate(90deg);
  transform: rotate(90deg);
  transition: top 0.12s 0.18s cubic-bezier(0.33333, 0, 0.66667, 0.33333), -webkit-transform 0.15s 0.42s cubic-bezier(0.215, 0.61, 0.355, 1);
  transition: top 0.12s 0.18s cubic-bezier(0.33333, 0, 0.66667, 0.33333), transform 0.15s 0.42s cubic-bezier(0.215, 0.61, 0.355, 1);
  transition: top 0.12s 0.18s cubic-bezier(0.33333, 0, 0.66667, 0.33333), transform 0.15s 0.42s cubic-bezier(0.215, 0.61, 0.355, 1), -webkit-transform 0.15s 0.42s cubic-bezier(0.215, 0.61, 0.355, 1);
}




/* 点击汉堡按钮后出现的内容 */
.header_black_menu_mask {
  widows: 1px;
  height: 100%;
  border-radius: 0px;
  background-color: black;
  /* opacity: .8; */

  position: fixed;
  right: 0;
  top: 0;
  z-index: 2;

  overflow: hidden;
}


.header_hambburger_menu_container {
  position: absolute;
  width: 100%;
  margin-top: 132px;


}


.header_hamburger_menu {
  display: block;
  text-align: left;
  font-family: "Montserrat-ExtraBold","SF UI Text", Helvetica, Arial, "PingFang SC", "Source Han Sans SC", "Hiragino Sans GB", "Microsoft YaHei", sans-serif;
  font-size: 52px;
  line-height: 52px;
  margin-bottom: 44px;
  /* margin-left: 135px; */
  margin-left: 295px;
  margin-right: auto;


  text-decoration: none;
  color: #555555;

  transition: .3s;
}


.header_hamburger_menu:hover {
  color: white;
  transition: .3s;
}


.header_hamburger_menu_active {
  color: white;
  transition: .3s;
}

/* 汉堡图标点击之后出现菜单底部的链接和版权声明 */
.header_hamburger_bottom_container {
  position: absolute;
  bottom: 40px;

  overflow: hidden;
}



.header_hamburger_bottom {
  font-family: "Montserrat-ExtraBold","SF UI Text", Helvetica, Arial, "PingFang SC", "Source Han Sans SC", "Hiragino Sans GB", "Microsoft YaHei", sans-serif;
  font-size: 12px;
  line-height: 12px;
  margin-top: 10px;
  color: #555555;

  /* margin-left: 135px; */
  margin-left: 295px;

  white-space: nowrap;
  /* 文本不换行 */

}


.header_hambburger_link {
  color: #555555;
}

.header_hambburger_link:hover {
  color: white;
  transition: .3s;
}










.project_containter {
  background-color: black;
  width: 100%;
  overflow: hidden;
}


.project {
  width: 33.333%;
  /* min-width:360px; */

  float: left;

  /* 解决firefox上链接失效的问题 */
  pointer-events: none;
  cursor: pointer;
}


.project_img {
  display: block;
  position: relative;

  /* 使其比例为1:1 */
  height: 0;
  width: 100%;
  padding-bottom: 75%;


  overflow: hidden;

  /* 解决firefox上链接点击不了的问题 */
  pointer-events: auto;
  cursor: pointer;

}


.project_img img {
  display: block;
  width: 100%;

}


/* 图片上覆盖一层暗调遮罩,默认不显示 */
.project_img:after {
  content: " ";
  position: absolute;
  width: 100%;
  height: 100%;
  left: 0;
  bottom: 0;
  background: linear-gradient(rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 0.4));
  transition: opacity .3s ease;
  opacity: 0;
}

.project:hover .project_img:after {
  opacity: 1;
}



.project_card {
  will-change: transform;
  /* 提前通知浏览器要对元素做什么动画，使其提前准备合适的优化设置，使动画流畅不闪屏 */
  box-shadow: 0 10px 30px transparent;
  /* 初始阴影为空 */
  transition: box-shadow .3s ease;


  /* 解决firefox上链接失效的问题 */
  pointer-events: none;
  cursor: pointer;

}



/* project悬浮时project_card由无阴影转为有阴影 */
.project:hover .project_card {
  box-shadow: 0 10px 30px rgba(0, 0, 0, 0.4);
}



/* mouseover动画效果 */
.project_card.hover-in {
  transition: -webkit-transform .2s ease-out;
  transition: transform .2s ease-out;

}


/* mouseout动画效果 */
.project_card.hover-out {
  transition: -webkit-transform .2s ease-in;
  transition: transform .2s ease-in;
}


.project_detail {
  position: absolute;
  bottom: 12px;
  left: 32px;

  -webkit-transform: translateZ(30px);
  transform: translateZ(30px);

  /*  使project_detail无事件  */
  pointer-events: none;
}


.project_title {
  margin-bottom: 0;

  transition: .4s ease;
  opacity: 0;
  -webkit-transform: translateY(40px) scale(0);
  -ms-transform: translateY(40px) scale(0);
  transform: translateY(40px) scale(0);
  will-change: transform;


  font-size: 36px;
  color: white;

  text-decoration: none;
  line-height: 1;
}



.project_category {
  margin-top: 8px;
  margin-bottom: 8px;


  opacity: 0;
  transition: .4s ease;
  transition-delay: .1s;
  -webkit-transform: translateY(40px) scale(0);
  -ms-transform: translateY(40px) scale(0);
  transform: translateY(40px) scale(0);
  will-change: transform;


  color: rgba(255, 255, 255, 0.8);
  font-size: 14px;

  text-decoration: none;
}




.project:hover .project_title,
.project:hover .project_category {
  -webkit-transform: translateY(0) scale(1);
  -ms-transform: translateY(0) scale(1);
  transform: translateY(0) scale(1);
  opacity: 1;
}




/* swiper相关样式 */
.swiper-container {
  width: 100%;
  height: 100%;
  background: #000;

  cursor: pointer;
}


.swiper-slide {
  font-size: 18px;
  color: #fff;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  padding-left: 14.4%;
}


.swiper_title{
  margin-left: 0;
  white-space: nowrap;
}


.swiper_slide_big_a {
  color: white;
}

.framer_motions_part2{
  background-image:url(img/swiper/framer_motions_part2_cover.jpg)
}

.porsche_designs{
  background-image:url(img/swiper/porsche_designs.jpg)
}

.hiar{
  background-image: url(img/swiper/hiar.png);
}


.cinema4dwork{
  background-image:url(img/swiper/cinema4dwork.jpg)
}

.zaojiu_app{
  background-image: url(img/swiper/zaojiu_app.jpg);
}

.porsche_design_system{
  background-image: url(img/swiper/porsche_design_system.jpg);
}



.smamo_redesign{
  background-image: url(img/swiper/smamo_redesign.jpg);
}

.porsche_visual_language{
  background-image: url(img/swiper/porsche_visual_language.jpg);
}

.poizon{
  background-image: url(img/swiper/poizon.jpg);
}

.dewu{
  background-image: url(img/swiper/dewu_designsystem.jpg);
}

.parallax-bg {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  -webkit-background-size: cover;
  background-size: cover;
  background-position: center;
}




.swiper_video_wrap{
  overflow: hidden;
}

.swiper_video_play_button{
  width: 60px;
  height: 60px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%);
  background-image: url("img/swiper_video_playButton.png");
  background-size: 60px;
  opacity: 0;

}


.swiper_video{
  min-width: 100%;
  min-height: 100%;
  width: auto;
  /* height: auto; */

  /* 显示视频中央部分内容 */
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
}

.title_and_subtitle {
  position: absolute;
  top: 50%;
  transform: translatey(-65%);
}



.swiper-slide .title {
  font-size: 240px;
  line-height: 1;
}


.swiper-slide .subtitle {
  font-size: 18px;
  line-height: 28px;
  margin-top: 30px;
}



.subtitle_a {
  color: white;
  text-decoration: none;
  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  font-size: 16px;
  font-weight: 600;

  position: relative;
}


.subtitle_a:after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -4px;
  width: 0px;
  height: 2px;
  background: white;
}

.subtitle_a:hover:after {
  width: 100%;
  transition: .6s;
}



/* work / all / ui design / motion / code /others */
.work_tab {
  width: calc(100% - 80px);
  height: 80px;
  /* padding-left: 40px;
  padding-right: 40px; */
  margin-top: 100px;
  margin-bottom: 64px;
  margin-left: 40px;

  /* background-color: white; */

  /* border-bottom: 1px solid #262626; */

}


.work_work {
  font-size: 80px;
  line-height: 80px;
  color: white;

  display: inline-block;
}


.work_all_tabs {
  display: inline;
  margin-left: 80px;

}


.work_all_tabs_a {
  text-decoration: none;
  margin-right: 48px;

  color: white;
  font-size: 18px;
  line-height: 18px;

  position: relative;
  cursor: pointer;
}





.work_all_tabs_a:after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -8px;
  width: 0px;
  height: 2px;
  background: white;

  transition: .6s;
}


.work_all_tabs_a_active:after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -8px;
  width: 100%;
  height: 2px;
  background: white;
}


.work_all_tabs_a:hover:after {
  width: 100%;
  transition: .6s;
}



/* swiper底部渐变遮罩 */
.swiper_gradient_mask {
  width: 100%;
  height: 60px;

  background: -webkit-linear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, 1));
  /* Safari 5.1 - 6.0 */
  background: -o-linear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, 1));
  /* Opera 11.1 - 12.0 */
  background: -moz-linear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, 1));
  /* Firefox 3.6 - 15 */
  background: linear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, 1));
  /* 标准的语法（必须放在最后） */

  z-index: 1;
  position: absolute;
  bottom: 0;

  display: none;
}




/* blog详情页底部内容 */


.socoal_copyright_containter{
  width: 100%;
  background-color: black;
  padding-top: 240px;
}


/* wechat dribbble uplabs instagram */
.social_icon_container{
  width:556px;
  margin:0 auto;
}


.social_icon_wrap{
  /* overflow:hidden; */
  margin-right:-64px;
}

.social_icon_a{
  float:left;
  margin-right:64px;
  cursor: pointer;
  background-color: #333333;
  border-radius: 50%;

  position: relative;
}

.social_icon_img{
  width:60px;
  -webkit-user-drag: none;
  user-select: none;
}


.social_icon_wechat_qrcode{
  width: 140px;
  height: 140px;
  position: absolute;
  bottom: 80px;
  left: -40px;
  opacity: 0;
}


.social_icon_wecht_qrcode_img{
  width: 140px;
}


/* social_icon hover状态*/
#social_icon_wechat:hover{
  background-color: #5ECC71;
  transition: .2s;
}

#social_icon_dribbble:hover{
  background-color: #D9588A;
  transition: .2s;
}


#social_icon_uplabs:hover{
  background: -webkit-linear-gradient(left, #5B32CA , #3F6EEE); /* Safari 5.1 - 6.0 */
  background: -o-linear-gradient(right, #5B32CA , #3F6EEE); /* Opera 11.1 - 12.0 */
  background: -moz-linear-gradient(right, #5B32CA , #3F6EEE); /* Firefox 3.6 - 15 */
  background: linear-gradient(to right, #5B32CA , #3F6EEE); /* 标准的语法 */

  transition: .2s;
}


#social_icon_instagram:hover{
  background: #d6249f;
  background: radial-gradient(circle at 30% 107%, #fdf497 0%, #fdf497 5%, #fd5949 45%,#d6249f 60%,#285AEB 90%);
  transition: .2s;
}

#social_icon_email:hover{
  background-color: pink;
  transition: .2s;
}


/* blog详情页底部内容 */
.detail_page_bottom{
  width:100%;
  height:132px;
  
  text-align:center;
  margin-top: 240px;
}

.all_articles{
  font-family: "Montserrat-ExtraBold","SF UI Text", Helvetica, Arial, "PingFang SC", "Source Han Sans SC", "Hiragino Sans GB", "Microsoft YaHei", sans-serif;
  font-size:36px;
  font-weight: 900;
  line-height:132px;
  color:white;
  text-decoration: none;
  
  margin:0 auto;
  
  /* 鼠标悬浮时下面出现的长条定位用 */
  position: relative;

  
}


.all_articles:after{
    content: "";
    position: absolute;
    left: 0;
    bottom: -3px;
    width: 0;
    height: 4px;
    background: white;

    transition: .6s;

}


.all_articles:hover:after{
    width: 100%;
    transition: .6s;
}



.copyright{
  font-family:"SF UI Text", Helvetica, Arial, "PingFang SC", "Source Han Sans SC", "Hiragino Sans GB", "Microsoft YaHei", sans-serif;
  font-weight: 600;
  font-size:14px;
  line-height:132px;
  color:#B3B3B3;
  
  float:left;
  margin-left:40px;
    
}

.find_me_on_github{
  font-family:"SF UI Text", Helvetica, Arial, "PingFang SC", "Source Han Sans SC", "Hiragino Sans GB", "Microsoft YaHei", sans-serif;
  font-weight: 600;
  font-size:14px;
  line-height:132px;
  color:#B3B3B3;
    
  float:right;
  margin-right:40px;
  
}

.find_me_on_github a{
  color:#B3B3B3;
}


.find_me_on_github a:hover{
  color:white;
  transition: .3s;
}




/* 页面宽度小于1025px时作品列表的样式 */
@media screen and (max-width: 1025px) {


  .project {
    width: 50%;
  }

  .project_card {
    padding-bottom: 108px;
}

.project_detail {
  bottom: 32px;
  left: 20px;
  transform: none;
}

.project_title {
  margin-top: 0;
  font-size: 26px;
  line-height: 1.2;
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
  
  opacity: 1;
  transform: none;
}


.project_category {
  margin-bottom: 0;
  margin-top: 6px;
  font-size: 13px;
  line-height: 1;
  
  opacity: 1;
  transform: none;
}


}





/* 页面宽度大于768px小于1025px时 */
@media screen and (max-width: 1025px) and (min-width:768px) {


  .work_tab {
    width: calc(100% - 60px);
    height: 62px;

    margin-left: 30px;
    margin-top: 100px;
    margin-bottom: 48px;

  }


  .work_work {
    font-size: 60px;
    line-height: 60px;
  }



  .work_all_tabs_a {
    font-size: 16px;
    line-height: 18px;
  }


  .header_right {
    right: 30px;
  }

  .header_logo {
    margin-left: 30px;
  }

  .project_detail {
    bottom: 26px;
    left: 30px;
    transform: none;
  }
}




/* 首页 swiper 标题文字随着页面宽度改变大小平滑改变 */
@media screen and (max-width:1666px) and (min-width:767px){
  .swiper-slide .title {
    font-size: 11vw;
    line-height: 1;
  }
}

@media screen and (max-width:768px) and (min-width:500px){
  .swiper-slide .title {
    font-size: 11vw;
    line-height: 1;
  }

  .swiper-slide {
    padding-left: 0;
  }

  .swiper_title{
    margin-left: 50vw; /* 屏幕宽度的一半 */
    transform: translateX(-50%);
  }
  
}




/* 页面宽度大于499px小于924px时 */
@media screen and (max-width: 859px) and (min-width:658px) {


  .work_tab {
    width: calc(100% - 30px);
    height: 117px;

    margin-left: 30px;
    margin-top: 100px;
    margin-bottom: 48px;

  }


  .work_work {
    font-size: 52px;
    line-height: 52px;
  }


  .work_all_tabs {
    display: block;
    margin-left: 0px;
    margin-top: 36px;

  }

  .work_all_tabs_a {
    font-size: 16px;
    line-height: 16px;
  }


  .header_right {
    right: 30px;
  }

  .header_logo {
    margin-left: 30px;
  }

  .project_title {
    font-size: 26px;
  }


  .project_category {
    margin-top: 6px;
    font-size: 13px;
  }

  .project_detail {
    left: 30px;
  }


}




/* 页面宽度小于500px时 alltabs */
@media screen and (max-width: 659px) {
   
  .project {
    width: 100%;
  }

  .work_tab {
    height: 91px;
    
    margin-left: 30px;
    margin-top: 72px;
    margin-bottom: 44px;

  }


  .work_work {
    font-size: 36px;
    line-height: 36px;
  }


  .work_all_tabs {
    display: block;
    margin-left: 0px;
    margin-top: 28px;

  }


  .work_all_tabs_a {
    font-size: 14px;
    line-height: 14px;
  }

    /* 小尺寸不能悬浮时默认显示文本效果 */
    .project {
      perspective: 1000px;
      transform-style: preserve-3d;
      /* transform: none; */
    }
  
  
    .project_card {
      perspective: 1000px;
      transform-style: preserve-3d;
      box-shadow: 0 10px 30px rgba(0, 0, 0, 0.4);
      /* transform: none; */
    }
  
  
  
    /* .project_img:after {
      content: " ";
      position: absolute;
      width: 100%;
      height: 160px;
      left: 0;
      bottom: 0;
      background: linear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, 0.4));
      opacity: 1;
    } */
  
  
    .project_detail {
      transform: none;
      left: 30px;
    }
  
  
    .project_title {
      opacity: 1;
      font-size: 32px;
      transform: none;
      /* text-shadow: 0 1px 2px rgba(0, 0, 0, 0.1); */
    }
  
  
  
    .project_category {
      opacity: 1;
      transform: none;
      margin-top: 6px;
      /* text-shadow: 0 1px 2px rgba(0, 0, 0, 0.1); */
    }

    .header_right {
      right: 30px;
    }
  
    .header_logo {
      margin-left: 30px;
    }
}


@media screen and (max-width: 500px) and (min-width:411px) {

  .work_all_tabs_a {
    margin-right: 30px;
  }


  .work_tab {
    width: calc(100% - 40px);
    margin-left: 20px;
  }

  .header_right {
    right: 20px;
  }

  .header_logo {
    margin-left: 20px;
  }


  /* 小尺寸不能悬浮时默认显示文本效果 */
  .project {
    width: 100%;
    perspective: 1000px;
    transform-style: preserve-3d;
    /* transform: none; */
  }


  .project_card {
    perspective: 1000px;
    transform-style: preserve-3d;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.4);
    /* transform: none; */
  }



  /* .project_img:after {
    content: " ";
    position: absolute;
    width: 100%;
    height: 160px;
    left: 0;
    bottom: 0;
    background: linear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, 0.4));
    opacity: 1;
  } */


  .project_detail {
    transform: none;
    left: 20px;
  }


  .project_title {
    opacity: 1;
    font-size: 32px;
    transform: none;
    /* text-shadow: 0 1px 2px rgba(0, 0, 0, 0.1); */
  }



  .project_category {
    opacity: 1;
    transform: none;
    margin-top: 6px;
    /* text-shadow: 0 1px 2px rgba(0, 0, 0, 0.1); */
  }

  /* swiper_title */
  .title_and_subtitle {
    position: absolute;
    transform: none;
    height: 100%;
    top: 0;
  }


  .swiper-slide .title {
    font-size: 44px;
    line-height: 1;
    position: absolute;
    bottom: 50px;
  }

  .swiper-slide {
    padding-left: 0;
  }

  .swiper_title{
    margin-left: 20px; 

  }

}





@media screen and (max-width: 411px) {

  .work_all_tabs_a {
    margin-right: 20px;
  }

  .work_tab {
    width: calc(100% - 40px);
    margin-left: 20px;
  }

  .header_logo {
    margin-left: 20px;
  }


  .header_right {
    right: 20px;
  }
}


/* 页面宽度小于415px时 */
@media screen and (max-width: 415px) and (min-width:375px) {


  .project {
    width: 100%;
  }

  .header_logo {
    margin-left: 20px;
    font-size: 24px;
  }


  .header_right {
    right: 20px;
  }

  .header_hamburger_menu {
    /* margin-left: 96px; */
    margin-left: 256px;
    /* margin-left: 217px; */
  }


  .header_hamburger_bottom {
    /* margin-left: 96px; */
    margin-left: 256px;
    /* margin-left: 217px; */

  }

  /* 小尺寸不能悬浮时默认显示文本效果 */
  .project {
    perspective: 1000px;
    transform-style: preserve-3d;
    transform: none;
  }

  .project_card {
    perspective: 1000px;
    transform-style: preserve-3d;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.4);
    transform: none;
    padding-bottom: 98px;
  }

  .project_detail {
    transform: none;
    left: 20px;
    bottom: 17px;
  }

  .project_title {
    opacity: 1;
    font-size: 26px;
    transform: none;
    /* text-shadow: 0 1px 2px rgba(0, 0, 0, 0.1); */
  }

  .project_category {
    opacity: 1;
    transform: none;
    margin-top: 8px;
    font-size: 13px;
    /* text-shadow: 0 1px 2px rgba(0, 0, 0, 0.1); */
  }


    /* swiper_title */
    .title_and_subtitle {
      position: absolute;
      transform: none;
      height: 100%;
      top: 0;
    }
  
  
    .swiper-slide .title {
      font-size: 44px;
      line-height: 1;
      position: absolute;
      bottom: 50px;
    }
  
    .swiper-slide {
      padding-left: 0;
    }
  
    .swiper_title{
      margin-left: 20px; 
  
    }

    .hiar{
      background-image: url(img/swiper/hiar_mobile.jpg);
    }


/* 出现视频播放按钮 */
    /* .swiper_video_play_button{
      opacity: 1;
    
    } */
}


@media screen and (max-width:376px) {
  .project {
    width: 100%;
  }

  .header_logo {
    margin-left: 20px;
    font-size: 24px;
  }


  .header_right {
    right: 20px;
  }


  .header_hamburger_menu {
    /* margin-left: 96px; */
    margin-left: 256px;
    /* margin-left: 217px; */
    font-size: 46px;
    line-height: 46px;
    margin-bottom: 40px;
  }



  .header_hamburger_bottom {
    /* margin-left: 96px; */
    margin-left: 256px;
    /* margin-left: 217px; */

  }




  /* 小尺寸不能悬浮时默认显示文本效果 */
  .project {
    perspective: 1000px;
    transform-style: preserve-3d;
    transform: none;
  }

  .project_card {
    perspective: 1000px;
    transform-style: preserve-3d;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.4);
    transform: none;
    padding-bottom: 98px;
  }

  .project_detail {
    transform: none;
    left: 20px;
    bottom: 17px;
  }

  .project_title {
    opacity: 1;
    font-size: 26px;
    transform: none;
    /* text-shadow: 0 1px 2px rgba(0, 0, 0, 0.1); */
  }

  .project_category {
    opacity: 1;
    transform: none;
    margin-top: 8px;
    font-size: 13px;
    /* text-shadow: 0 1px 2px rgba(0, 0, 0, 0.1); */
  }



    /* swiper_title */
    .title_and_subtitle {
      position: absolute;
      transform: none;
      height: 100%;
      top: 0;
    }
  
  
    .swiper-slide .title {
      font-size: 44px;
      line-height: 1;
      position: absolute;
      bottom: 50px;
    }
  
    .swiper-slide {
      padding-left: 0;
    }
  
    .swiper_title{
      margin-left: 20px; 
  
    }

    .hiar{
      background-image: url(img/swiper/hiar_mobile.jpg);
    }



    /* 出现视频播放按钮 */
    /* .swiper_video_play_button{
      opacity: 1;
    
    } */
}



/* 底部copyright */
@media screen and (max-width: 1001px) and (min-width:769px) {

  .detail_page_bottom {
    width: 100%;
    height: 96px;
    text-align: center;
    margin-top: 304px;
  }
  
  .copyright {
    line-height: 14px;
    display: block;
    float:none;
    margin-left:0;
  }
  
  
  .all_articles {
    font-size: 36px;
    line-height: 36px;
    text-decoration: none;
    margin: 0 auto;
    position: relative;
    display: block;
    margin-top: -110px;
  }
  
  .find_me_on_github {
    line-height: 14px;
    float: none;
    margin-right: 0;
    display: block;
    margin-top: 92px;
  }
  
  .all_articles:after {
    height: 0px;
  }
  
  }

/* 底部copyright */
@media screen and (max-width: 769px) {

.detail_page_bottom {
  width: 100%;
  height: 96px;
  text-align: center;
  margin-top: 304px;
}

.copyright {
  line-height: 14px;
  display: block;
  float:none;
  margin-left:0;
}


.all_articles {
  font-size: 28px;
  line-height: 36px;
  text-decoration: none;
  margin: 0 auto;
  position: relative;
  display: block;
  margin-top: -110px;
}

.find_me_on_github {
  line-height: 14px;
  float: none;
  margin-right: 0;
  display: block;
  margin-top: 92px;
}

.all_articles:after {
  height: 0px;
}

}

/* 页面宽度缩小到689时，底部social_icon距离变小 */
@media screen and (max-width:689px) and (min-width:415px){
  .social_icon_a {
    margin-right: 9vw;
}

.social_icon_img {
  width: 9vw;
}


.social_icon_wrap {
  margin-right: -9vw;
}


.social_icon_container {
  margin-left: 9vw;
}

}

/* 底部copyright */
@media screen and (max-width: 415px) {
/* 底部内容 */
.social_icon_container{
  width:312px;
  margin:0px auto 0 auto;
}


.social_icon_wrap{
  overflow:hidden;
  margin-right:-28px;
}

.social_icon_a{
  float:left;
  margin-right:28px;
  cursor: pointer;
}

.social_icon_img{
  width:40px;
  -webkit-user-drag: none;
  user-select: none;
}

.socoal_copyright_containter {
  width: 100%;
  background-color: black;
  padding-top: 80px;
}

.detail_page_bottom {
  width: 100%;
  height: 96px;
  text-align: center;
  margin-top: 304px;
}

.copyright {
  line-height: 14px;
  display: block;
  float:none;
  margin-left:0;
}


.all_articles {
  font-size: 28px;
  line-height: 36px;
  text-decoration: none;
  margin: 0 auto;
  position: relative;
  display: block;
  margin-top: -110px;
}

.find_me_on_github {
  line-height: 14px;
  float: none;
  margin-right: 0;
  display: block;
  margin-top: 92px;
}

.all_articles:after {
  height: 0px;
}

.framer_motions_part2{
  background-image:url(img/swiper/framer_motions_part2_cover_mobile.jpg)
}


.porsche_designs{
  background-image:url(img/swiper/porsche_designs_mobile.jpg)
}

.cinema4dwork{
  background-image:url(img/swiper/cinema4dwork_mobile.jpg)
}

.swiper_video{
  opacity: 0;
}


.hiar{
  background-image:url(img/swiper/hiar_mobile.jpg);
}


.porsche_design_system{
  background-image: url(img/swiper/porsche_design_system_mobile.jpg);
}


.smamo_redesign{
  background-image: url(img/swiper/smamo_redesign_mobile.jpg);
}

.porsche_visual_language{
  background-image: url(img/swiper/porsche_visual_language_mobile.jpg);
}

.zaojiu_app{
  background-image: url(img/swiper/zaojiu_app_mobile.jpg);
}

.poizon{
  background-image: url(img/swiper/poizon_mobile.jpg);
}


.dewu{
  background-image: url(img/swiper/dewu_designsystem_mobile.jpg);
}




}








/* 若检测到设备为移动设备（不能悬浮）则执行以下类 */
.mobile .project {
  width: 100%;
}


.mobile .project_title {
  opacity: 1;
  transform: none;
}



.mobile .project_category {
  opacity: 1;
  transform: none;
}

